Subject: Re: bug#16801: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Feb 2014 18:48:09 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Wed, 19 Feb 2014 13:56:02 +0100
> Cc: Drew Adams <[email-masked]>, [email-masked]
> 
> On Wed, Feb 19, 2014 at 4:41 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> > What about that 1st address:
> 
> Sorry, my bad.

Nothing to be sorry about, and thanks for doing this.

> This is the full output:
> 
> ??
> ??:0
> cache_face at xfaces.c:4377

This is here:

  #ifdef GLYPH_DEBUG
    /* Check that FACE got a unique id.  */
    {
      int j, n;
      struct face *face1;

      for (j = n = 0; j < FACE_CACHE_BUCKETS_SIZE; ++j)
	for (face1 = c->buckets[j]; face1; face1 = face1->next)
	  if (face1->id == i)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	    ++n;

      eassert (n == 1);
    }
  #endif /* GLYPH_DEBUG */

So I guess 'face1' is an invalid (but non-NULL) pointer.  I have no
idea how this could happen (anyone?), but since this is a debugging
code, I don't thinks it's too important to figure that out.

Closing.